// ----------------------------------------------------------------------------
// Create a logger using winston github.com/winstonjs/winston
// Uses npm levels (0-5 respectively): error, warn, info, verbose, debug, silly
// ----------------------------------------------------------------------------

const { createLogger, transports } = require('winston')
const { format } = require('logform')

let logger = createLogger({
  format: format.combine(
    format.colorize(),
    format.timestamp({ format: '[[]HH:mm:ss.SSS[]]' }),
    format.printf(info => `${info.timestamp} ${info.level} - ${info.message}`)
  ),
  transports: [new transports.Console()]
})

module.exports = { logger }
